### Class

# Camel DataCache

#### Description

    class Camel.DataCache : GObject.Object
    {
      CamelDataCachePrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### camel_data_cache_new

Create a new data cache.

#### Instance methods

###### camel_data_cache_add

Add a new item to the cache, returning a `GIOStream` to the new item.

###### camel_data_cache_clear

Clear cache’s content in `path`.

since: 3.2

###### camel_data_cache_foreach_remove

Traverses the `cdc` sub-cache identified by `path` and calls `func` for each found file. If the `func` returns `TRUE`, then the file is removed, if `FALSE`, it’s kept in the cache.

since: 3.26

###### camel_data_cache_get

Lookup an item in the cache. If the item exists, a `GIOStream` is returned for the item. The stream may be shared by multiple callers, so ensure the stream is in a valid state through external locking.

###### camel_data_cache_get_expire_enabled

Gets whether expire of cache data is enabled.

since: 3.24

###### camel_data_cache_get_filename

Lookup the filename for an item in the cache.

since: 2.26

###### camel_data_cache_get_path

Returns the path to the data cache.

since: 2.32

###### camel_data_cache_remove

Remove/expire a cache item.

###### camel_data_cache_set_expire_access

Set the cache expiration policy for access times.

###### camel_data_cache_set_expire_age

Set the cache expiration policy for aged entries.

###### camel_data_cache_set_expire_enabled

Sets whether expire of cache data is enabled.

since: 3.24

###### camel_data_cache_set_path

Sets the path to the data cache.

since: 2.32

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Camel.DataCache:expire-enabled

Expire Enabled.

###### Camel.DataCache:path

Path.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelDataCacheClass {
      GObjectClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`reserved: gpointer`

  No description available.